package com.yingxin.springcloudconsumer.controller;

import com.yingxin.springcloudconsumer.service.HelloService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class RestApi {

    private final HelloService helloService;

    public RestApi(HelloService helloService) {
        this.helloService = helloService;
    }

    @GetMapping("/consumer")
    public String helloConsumer() {
        return helloService.hello();
    }
}
